<?php

require_once 'awisBerichte.inc';

class ber_sonstKasko
    extends awisBerichte
{
    private $pdf_vorlage = '';
    private $Zellenbreite = '';
    private $Spaltenmerker = '';
    private $_SQL = '';
    private $PosVorhanden = true;
    private $MaxSeitenAnzahl = 0;

    /**
     * Prozedur zum Initialisieren des Berichts
     *
     * @see awisBerichte::init()
     */
    public function SetzeDateipfad($DateiPfad)
    {
        $this->_Dateiname = $DateiPfad;
    }

    public function init(array $Parameter)
    {
        //var_dump($Parameter);

        //$Param = unserialize($this->_AWISBenutzer->ParameterLesen('Formular_FirstGlassGesperrt'));

        $TextKonserven[] = array('Fehler', 'err_KeineDaten');
        $TextKonserven[] = array('Liste', 'lst_ALLE_0');
        $TextKonserven[] = array('Wort', 'Seite');
        $TextKonserven[] = array('Wort', 'Soll');
        $TextKonserven[] = array('Wort', 'Anschrift_ATU_Filiale');
        $TextKonserven[] = array('Wort', 'PersoenlHaftGesell_ATU_Filiale');
        $TextKonserven[] = array('Wort', 'Geschaeftsfuehrer_ATU_Filiale');
        $TextKonserven[] = array('Wort', 'Bankverb_ATU_Versicherung');
        $TextKonserven[] = array('FGK', 'txt_BruttoOEM');
        $TextKonserven[] = array('SYSTEM', 'PROGNAME');
        $TextKonserven[] = array('Ausdruck', 'txt_HinweisAusdruckIntern');

        $TextKonserven[] = array('VERS_PDF', '*');

        $this->_AWISSprachkonserven = $this->_Form->LadeTexte($TextKonserven);

        $this->_SQL = 'SELECT ve.kennung,';
        $this->_SQL .= '   ve.filid,';
        $this->_SQL .= '   ve.wanr,';
        $this->_SQL .= '   ve.vorst_abzug_kz,';
        $this->_SQL .= '   ve.vorst_betrag,';
        $this->_SQL .= '   ve.selbst_betrag,';
        $this->_SQL .= '   ve.vers_bez,';
        $this->_SQL .= '   ve.vers_strasse,';
        $this->_SQL .= '   ve.vers_hnr,';
        $this->_SQL .= '   ve.vers_plz,';
        $this->_SQL .= '   ve.vers_ort,';
        $this->_SQL .= '   ve.vers_staat_nr,';
        $this->_SQL .= '   ve.versscheinnr,';
        $this->_SQL .= '   ve.schaden_nr,';
        $this->_SQL .= '   ve.schaden_datum,';
        $this->_SQL .= '   ve.schaden_kz,';
        $this->_SQL .= '   ve.schaden_bez,';
        $this->_SQL .= '   ve.schaden_art,';
        $this->_SQL .= '   ve.umsatz_gesamt,';
        $this->_SQL .= '   ve.umsatz_kunde,';
        $this->_SQL .= '   ve.umsatz_vers,';
        $this->_SQL .= '   ve.aem_nr,';
        $this->_SQL .= '   ve.anrede,';
        $this->_SQL .= '   ve.titel,';
        $this->_SQL .= '   ve.name1,';
        $this->_SQL .= '   ve.name2,';
        $this->_SQL .= '   ve.name3,';
        $this->_SQL .= '   ve.strasse,';
        $this->_SQL .= '   ve.hnr,';
        $this->_SQL .= '   ve.plz,';
        $this->_SQL .= '   ve.ort,';
        $this->_SQL .= '   ve.rufnr1,';
        $this->_SQL .= '   ve.rufnr2,';
        $this->_SQL .= '   ve.staat_nr,';
        $this->_SQL .= '   ve.kfz_kz,';
        $this->_SQL .= '   ve.kfz_hersteller,';
        $this->_SQL .= '   ve.kfz_modell,';
        $this->_SQL .= '   ve.kfz_typ,';
        $this->_SQL .= '   ve.fahrgestellnr,';
        $this->_SQL .= '   ve.kfz_herstnr,';
        $this->_SQL .= '   ve.ktypnr,';
        $this->_SQL .= '   f.fil_bez,';
        $this->_SQL .= '   f.fil_strasse,';
        $this->_SQL .= '   f.fil_plz,';
        $this->_SQL .= '   f.fil_ort,';
        $this->_SQL .= '   ve.kfz_km,';
        $this->_SQL .= '   ve.vers_nr';
        $this->_SQL .= ' FROM v_vers_exp_kopf ve';
        $this->_SQL .= ' INNER JOIN filialen f';
        $this->_SQL .= ' ON f.fil_id        = ve.filid';
        $this->_SQL .= ' WHERE ve.filid = :var_N0_vrk_filid';
        $this->_SQL .= ' AND ve.wanr    = :var_N0_vrk_wanr';

        $this->_DB->SetzeBindevariable('VRK', 'var_N0_vrk_filid', $Parameter['FILID'], awisDatenbank::VAR_TYP_GANZEZAHL);
        $this->_DB->SetzeBindevariable('VRK', 'var_N0_vrk_wanr', $Parameter['WANR'], awisDatenbank::VAR_TYP_GANZEZAHL);

        $this->_recPDF = $this->_DB->RecordSetOeffnen($this->_SQL, $this->_DB->Bindevariablen('VRK', false));

        $this->_SQL = 'SELECT *';
        $this->_SQL .= ' FROM v_vers_form_posdaten ';
        $this->_SQL .= ' WHERE filnr = :var_N0_vrk_filid ';
        $this->_SQL .= ' AND wanr = :var_N0_vrk_wanr';
        $this->_SQL .= ' ORDER BY position';

        $this->_recPos = $this->_DB->RecordSetOeffnen($this->_SQL, $this->_DB->Bindevariablen('VRK', false));

        //Annahmedatum = Rechnungsdatum
        $this->_SQL = 'SELECT MIN(vfb.DATUM) AS DATUM, NAME';
        $this->_SQL .= ' FROM v_vers_form_bearbdaten vfb';
        $this->_SQL .= ' WHERE vfb.FILNR = :var_N0_vrk_filid';
        $this->_SQL .= ' AND vfb.WANR = :var_N0_vrk_wanr';
        $this->_SQL .= ' AND vfb.STATUS = \'G\' ';
        $this->_SQL .= ' AND vfb.VERKAEUFERART = \'V\' ';
        $this->_SQL .= ' GROUP BY NAME';

        $this->_recBearbdaten = $this->_DB->RecordSetOeffnen($this->_SQL, $this->_DB->Bindevariablen('VRK', false));

        $this->_SQL = 'SELECT vfb.NAME ';
        $this->_SQL .= ' FROM v_vers_form_bearbdaten vfb';
        $this->_SQL .= ' WHERE vfb.FILNR = :var_N0_vrk_filid';
        $this->_SQL .= ' AND vfb.WANR = :var_N0_vrk_wanr';
        $this->_SQL .= ' AND vfb.STATUS = \'A\' ';
        $this->_SQL .= ' AND vfb.VERKAEUFERART = \'M\' ';
        $this->_SQL .= ' GROUP BY NAME';

        $this->_Ansprechpartner = $this->_DB->RecordSetOeffnen($this->_SQL, $this->_DB->Bindevariablen('VRK', false));
    }


    /**
     * Eigentliches PDF erzeugen
     *
     * @see awisBerichte::ErzeugePDF()
     */
    public function ErzeugePDF($Ausgabeart = 4)
    {
        // PDF Attribute setzen
        $this->SetTitle($this->_BerichtsName);
        $this->SetSubject('');
        $this->SetCreator($this->_AWISSprachkonserven['SYSTEM']['PROGNAME']);
        $this->SetAuthor($this->_AWISBenutzer->BenutzerName());
        $this->SetMargins($this->_Parameter['LinkerRand'], 50, $this->_Parameter['LinkerRand']);
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->AliasNbPages();
        $this->SetAutoPageBreak(true, 50);

        // Seite erstellen
        //$this->_Zeile = 600;

        $this->NeueSeite();
        $this->Rechnungskopf();
        $this->Adressdaten();
        $this->Kundendaten();
        $this->Fahrzeugdaten();

        $this->PosUeberschrift();
        $this->Positionsdaten();
        $this->Betragsblock();
        $this->HinweisBlock();

        switch($Ausgabeart)
        {
            case 1:            // PDF im extra Fenster -> Download
                $this->Output($this->_BerichtsName . '.pdf', 'D');
                break;
            case 2:            // Standard-Stream
                $this->Output($this->_BerichtsName . '.pdf', 'I');
                break;
            case 3:            // Als String zurueckliefern
                return ($this->Output($this->_BerichtsName . '.pdf', 'S'));
                break;
            case 4:         // Als Datei speichern
                $this->Output($this->_Dateiname, 'F');
                break;
        }
    }

    private function Rechnungskopf()
    {
        $this->_Zeile = $this->_Parameter['YPosRechnungsKopf'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosRechnungsKopf'];

        //Rechnungsnummer
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 40;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['RECH_NR'] . ':', 0, 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['SchriftgroesseHervorgehoben']);
        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('FILID') . $this->_recPDF->FeldInhalt('WANR'), 0, 0, 'L', 0);

        //Kundennummer
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosRechnungsKopf'];
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 40;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KUND_NR'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], '', 0, 0, 'L', 0);

        //Annahmedatum
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosRechnungsKopf'];
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 40;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['ANNAHME_DAT'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], substr($this->_recBearbdaten->FeldInhalt('DATUM'), 0, 10), 0, 0, 'L', 0);

        //Liefer-/Rechnungsdatum
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosRechnungsKopf'];
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 40;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['RECH_DATUM'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], substr($this->_recBearbdaten->FeldInhalt('DATUM'), 0, 10), 0, 0, 'L', 0);

        //Filiale
        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] + 3;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 15;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['FILIALE'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 60;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('VVS_FILID') . ' ' . $this->_recPDF->FeldInhalt('FIL_BEZ'), 0, 0, 'L', 0);

        //Ansprechpartner
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosRechnungsKopf'] - 15;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 55;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['ANSPRECHPARTNER'] . ':', 0, 1, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] - 8;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_recBearbdaten->FeldInhalt('NAME'), 0, 0, 'L', 0);

        $this->_Zeile += 5;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_Ansprechpartner->FeldInhalt('NAME'), 0, 0, 'L', 0);
    }

    private function Adressdaten()
    {
        $this->_Zeile = $this->_Parameter['YPosKastenMitte'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + 3;
        $Zellenbreite = 82;

        //Anschrift ATU
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['SchriftgroesseKlein']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], 'ATU Auto-Teile-Unger GmbH Co. KG, Posfach 2554, 92615 Weiden i.d.Opf', 0, 0, 'L', 0);

        //Anschrift Versicherung
        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['SchriftgroesseHervorgehoben']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] + 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('VERS_BEZ'), 0, 0, 'L', 0);

        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('VERS_STRASSE') . ' ' . $this->_recPDF->FeldInhalt('VERS_HNR'), 0, 0, 'L', 0);

        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] + 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('VERS_PLZ') . ' ' . $this->_recPDF->FeldInhalt('VERS_ORT'), 0, 0, 'L', 0);
    }

    private function Kundendaten()
    {
        $this->_Zeile = $this->_Parameter['YPosKastenMitte'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosKastenSpalte2'];

        //KFZ-Kennz
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KFZ_KZ'] . ':', 0, 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('KFZ_KZ'), 0, 0, 'L', 0);

        //KM-Stand
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KM_STAND'] . ':', 0, 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('KFZ_KM'), 0, 0, 'L', 0);

        //Schaden-Nr.
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['SCHADEN_NR'] . ':', 0, 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('SCHADEN_NR'), 0, 0, 'L', 0);

        //Versicherungsschein-Nr.
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['VERSSCHEIN_NR'] . ':', 0, 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('VERSSCHEINNR'), 0, 0, 'L', 0);

        //Leistungsempfaenger (Kundenanschrift)
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosKastenSpalte2'];
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] + 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['RECH_ADRESSE'] . ':', 0, 0, 'L', 0);

        //Anrede
        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        if($this->_recPDF->FeldInhalt('ANREDE') == 1)
        {
            $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], 'HERR', 0, 0, 'L', 0);
        }
        else
        {
            if($this->_recPDF->FeldInhalt('ANREDE') == 2)
            {
                $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], 'FRAU', 0, 0, 'L', 0);
            }
            else
            {
                $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], 'FIRMA', 0, 0, 'L', 0);
            }
        }

        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        if($this->_recPDF->FeldInhalt('TITEL') != 0)
        {
            $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('TITEL') . ' ' . $this->_recPDF->FeldInhalt('NAME1') . ' ' . $this->_recPDF->FeldInhalt('NAME2'), 0, 0, 'L', 0);
        }
        else
        {
            $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('NAME1') . ' ' . $this->_recPDF->FeldInhalt('NAME2'), 0, 0, 'L', 0);
        }

        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('STRASSE') . ' ' . $this->_recPDF->FeldInhalt('HNR'), 0, 0, 'L', 0);

        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('PLZ') . ' ' . $this->_recPDF->FeldInhalt('ORT'), 0, 0, 'L', 0);

        //2. Kasten Rechts:
        $this->_Zeile = $this->_Parameter['YPosKastenMitte'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosKastenSpalte3'];

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['VORSTABZUG_BERECHTIGT'] . ':', 0, 0, 'C', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('VORST_ABZUG_KZ'), 0, 0, 'C', 0);

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] * 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['SCHADEN_DAT'] . ':', 0, 0, 'C', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteKundendaten'], $this->_Parameter['Zeilenhoehe'], substr($this->_recPDF->FeldInhalt('SCHADEN_DATUM'), 0, 10), 0, 0, 'C', 0);
    }

    private function Fahrzeugdaten()
    {
        $this->_Zeile = $this->_Parameter['YPosFZ-Daten'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + 3;
        $Zellenbreite = 15;

        //Fahrzeug-Hersteller
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KFZ_HERST'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(60, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('KFZ_HERSTELLER'), 0, 0, 'L', 0);

        //Fahrzeug-Modell
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + 3;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 15;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KFZ_MODELL'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(60, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('KFZ_MODELL'), 0, 0, 'L', 0);

        //Fahrzeug-Typ
        $this->_Zeile = $this->_Parameter['YPosFZ-Daten'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosKastenSpalte2'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KFZ_TYP'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(50, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('KFZ_TYP'), 0, 0, 'L', 0);

        //FIN
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->_Spalte = $this->_Parameter['LinkerRand'] + $this->_Parameter['XPosKastenSpalte2'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 30;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['KFZ_FIN'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(50, $this->_Parameter['Zeilenhoehe'], $this->_recPDF->FeldInhalt('FAHRGESTELLNR'), 0, 0, 'L', 0);
    }

    private function PosUeberschrift()
    {
        if($this->PageNo() == 1)
        {
            $this->_Zeile = $this->_Parameter['YPosPositionsdaten'];
            $this->_Spalte = $this->_Parameter['LinkerRand'];
        }
        else
        {
            $this->_Zeile = 40;
            $this->_Spalte = $this->_Parameter['LinkerRand'];
        }

        $Zellenbreite = self::Seitenbreite() - (2 * $this->_Parameter['LinkerRand']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], '', 1, 0, 'C', 0);

        //Ueberschrift Positionen

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreitePos'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['POS'], 0, 0, 'C', 0);

        $this->_Spalte += $this->_Parameter['BreitePos'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteATU-Nr'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['ATU_NR'], 0, 0, 'L', 0);

        $this->_Spalte += $this->_Parameter['BreiteATU-Nr'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteTeilebezeichnung'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['ART_BEZ'], 0, 0, 'L', 0);

        $this->_Spalte += $this->_Parameter['BreiteTeilebezeichnung'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteMenge'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['MENGE'], 0, 0, 'R', 0);

        $this->_Spalte += $this->_Parameter['BreiteMenge'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteVKPreis'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['VK_PREIS'], 0, 0, 'R', 0);

        $this->_Spalte += $this->_Parameter['BreiteVKPreis'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteBetragEUR'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['BETRAG'], 0, 0, 'R', 0);
    }

    //Positionsdaten
    private function Positionsdaten()
    {
        while(!$this->_recPos->EOF())
        {
            $artnr = substr($this->_recPos->FeldInhalt('ARTNR'), 0, 3);

            $Menge = $this->_Form->Format('N2', $this->_recPos->FeldInhalt('MENGE'));
            $VKPreis = $this->_Form->Format('N2', (str_replace(',', '.', $this->_recPos->FeldInhalt('VK_PREIS')) / 119 * 100));

            $UMSATZ = $this->_Form->Format('N2', (str_replace(',', '.', $this->_recPos->FeldInhalt('UMSATZ')) / 119 * 100));

            $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
            $this->_Spalte = $this->_Parameter['LinkerRand'];
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreitePos'], $this->_Parameter['Zeilenhoehe'], $this->_recPos->FeldInhalt('POSITION'), 0, 0, 'C', 0);

            $this->_Spalte += $this->_Parameter['BreitePos'];
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreiteATU-Nr'], $this->_Parameter['Zeilenhoehe'], $this->_recPos->FeldInhalt('ARTNR'), 0, 0, 'L', 0);
            //$this->Cell($this->_Parameter['BreiteATU-Nr'], $this->_Parameter['Zeilenhoehe'], $artnr, 0, 0, 'L', 0);

            $this->_Spalte += $this->_Parameter['BreiteATU-Nr'];
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreiteTeilebezeichnung'], $this->_Parameter['Zeilenhoehe'], strlen($this->_recPos->FeldInhalt('BEZ')) > 59?substr($this->_recPos->FeldInhalt('BEZ'), 0, 60) . '...':$this->_recPos->FeldInhalt('BEZ'), 0, 0, 'L', 0);

            $this->_Spalte += $this->_Parameter['BreiteTeilebezeichnung'];
            $this->SetXY($this->_Spalte, $this->_Zeile);
            //$this->Cell($this->_Parameter['BreiteMenge'], $this->_Parameter['Zeilenhoehe'], $this->_recPos->FeldInhalt('MENGE'), 0, 0, 'R', 0);
            $this->Cell($this->_Parameter['BreiteMenge'], $this->_Parameter['Zeilenhoehe'], $Menge, 0, 0, 'R', 0);

            $this->_Spalte += $this->_Parameter['BreiteMenge'];
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreiteVKPreis'], $this->_Parameter['Zeilenhoehe'], $VKPreis, 0, 0, 'R', 0);
            //$this->Cell($this->_Parameter['BreiteVKPreis'], $this->_Parameter['Zeilenhoehe'], $this->_recPos->FeldInhalt('VK_PREIS'), 0, 0, 'R', 0);

            $this->_Spalte += $this->_Parameter['BreiteVKPreis'];
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreiteBetragEUR'], $this->_Parameter['Zeilenhoehe'], $UMSATZ, 0, 0, 'R', 0);

            $this->_recPos->DSWeiter();
            $this->_Zeile = $this->GetY();
            $this->SetXY($this->_Spalte, $this->_Zeile);
        }
        $this->PosVorhanden = false;
    }

    private function Betragsblock()
    {
        $UMSATZ_GESAMT = $this->_Form->Format('N2', (str_replace(',', '.', $this->_recPDF->FeldInhalt('UMSATZ_GESAMT')) / 119 * 100));

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['SchriftgroesseMittel']);
        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] * 2;

        //Nettobetrag
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 15;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['NETTO_BETRAG'] . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 18;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $UMSATZ_GESAMT . ' EUR', 0, 0, 'R', 0);

        //MwSt
        $this->_Spalte += $Zellenbreite + 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 20;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], '/ ' . $this->_AWISSprachkonserven['VERS_PDF']['MWST1'] . '(' . $this->_Form->Format('N2', 19) . ' %)' . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 18;
        $Vorsteuerbetrag = str_replace(',', '.', $this->_recPDF->FeldInhalt('VORST_BETRAG'));
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], $this->_Form->Format('N2', $Vorsteuerbetrag) . ' EUR', 0, 0, 'R', 0);

        //MwSt vermindert
        $this->_Spalte += $Zellenbreite + 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 20;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], '/ ' . $this->_AWISSprachkonserven['VERS_PDF']['MWST2'] . '(7,00 %)' . ':', 0, 0, 'L', 0);

        $this->_Spalte += $Zellenbreite;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $Zellenbreite = 18;
        $this->Cell($Zellenbreite, $this->_Parameter['Zeilenhoehe'], '' . ' EUR', 0, 0, 'R', 0);

        //Zahlbetrag brutto
        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->SetFillColor(209, 209, 209);
        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - $this->_Parameter['BreiteZahlbetraege']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(28, $this->_Parameter['Zeilenhoehe'] + 2, $this->_AWISSprachkonserven['VERS_PDF']['BRUTTO_BETRAG'], '', 0, 'L', true);

        $this->SetFillColor(209, 209, 209);
        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - ($this->_Parameter['BreiteZahlbetraege'] - 28));
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $BruttoBetrag = str_replace(',', '.', $this->_recPDF->FeldInhalt('UMSATZ_GESAMT'));
        $this->Cell(22, $this->_Parameter['Zeilenhoehe'] + 2, $this->_Form->Format('N2', $BruttoBetrag), '', 0, 'R', true);

        //Hinweis Liefer-/Rechnungsdatum
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['SchriftgroesseMittel']);
        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['HINWEIS_DATUM'], 0, 0, 'L', 0);

        //1. Strich
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2), $this->_Parameter['Zeilenhoehe'], '', 'B', 0, 'L', 0);

        //Selbstbeteiligung
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['SB_KUNDE'], 0, 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - $this->_Parameter['BreiteZahlbetraege']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteZahlbetraege'], $this->_Parameter['Zeilenhoehe'], $this->_Form->Format('N2', $this->_recPDF->FeldInhalt('SELBST_BETRAG')), '0', 0, 'R', 0);

        //Einbezahlte MwSt
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['EINBEZAHLTE_MWST'], 0, 0, 'L', 0);

        if($this->_recPDF->FeldInhalt('VORST_ABZUG_KZ') == 'J')
        {
            $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
            $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - $this->_Parameter['BreiteZahlbetraege']);
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreiteZahlbetraege'], $this->_Parameter['Zeilenhoehe'], $this->_Form->Format('N2', $this->_recPDF->FeldInhalt('VORST_BETRAG')), '0', 0, 'R', 0);
        }
        else
        {
            $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
            $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - $this->_Parameter['BreiteZahlbetraege']);
            $this->SetXY($this->_Spalte, $this->_Zeile);
            $this->Cell($this->_Parameter['BreiteZahlbetraege'], $this->_Parameter['Zeilenhoehe'], '0,00', '0', 0, 'R', 0);
        }

        //2. Strich
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteZahlbetraege'], $this->_Parameter['AbstandZeile'], '', 'B', 0, 'L', 0);

        //Zahlbetrag Kunde
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->_Spalte = $this->_Parameter['LinkerRand'];

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['ZAHLBETRAG_KD'] . ':', 0, 0, 'L', 0);

        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - $this->_Parameter['BreiteZahlbetraege']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteZahlbetraege'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['FGK']['txt_BruttoOEM'] . ':', '', 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - ($this->_Parameter['BreiteZahlbetraege'] / 2));
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(25, $this->_Parameter['Zeilenhoehe'], $this->_Form->Format('N2', $this->_recPDF->FeldInhalt('UMSATZ_KUNDE')), 0, 0, 'R', 0);

        //3. Strich
        $this->_Zeile += $this->_Parameter['AbstandZeile'];
        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2), $this->_Parameter['AbstandZeile'], '', 'B', 0, 'L', 0);

        //Zahlbetrag Versicherung
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        $this->_Spalte = $this->_Parameter['LinkerRand'];

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['ZAHLBETRAG_VERS'] . ':', 0, 0, 'L', 0);

        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - $this->_Parameter['BreiteZahlbetraege']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell($this->_Parameter['BreiteZahlbetraege'], $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['FGK']['txt_BruttoOEM'] . ':', '', 0, 'L', 0);

        $this->SetFont($this->_Parameter['Schriftart'], 'B', $this->_Parameter['Schriftgroesse']);
        $this->_Spalte = $this->_Parameter['LinkerRand'] + (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2) - ($this->_Parameter['BreiteZahlbetraege'] / 2));
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $ZahlbetragKunde = str_replace(',', '.', $this->_recPDF->FeldInhalt('UMSATZ_KUNDE'));
        $ZahlbetragVersicherung = $BruttoBetrag - $ZahlbetragKunde;
        $this->Cell(25, $this->_Parameter['Zeilenhoehe'], $this->_Form->Format('N2', $ZahlbetragVersicherung), 0, 0, 'R', 0);
    }

    private function HinweisBlock()
    {
        $this->_Zeile += $this->_Parameter['Zeilenhoehe'] * 2;
        $this->_Spalte = $this->_Parameter['LinkerRand'];

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['Schriftgroesse']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], $this->_AWISSprachkonserven['VERS_PDF']['HINWEIS_WARE'], 0, 0, 'L', 0);
        /*
        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['SchriftgroesseMittel']);
        $this->_Zeile += $this->_Parameter['Zeilenhoehe']*2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->MultiCell(self::Seitenbreite()-($this->_Parameter['LinkerRand']*2), $this->_Parameter['AbstandZeile'], $this->_AWISSprachkonserven['VERS_PDF']['ABTRETUNGSERKLAERUNG'] , 0, 'L', 0);
        */
    }


    /**
     * NeueSeite()
     * Erstellt eine neue PDF Seite
     *
     * @return int
     */
    private function NeueSeite()
    {
        $this->AddPage();
    }

    /**
     * Automatische Fusszeile
     *
     * @see TCPDF::Footer()
     */
    public function Footer()
    {
        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->_Zeile = $this->_Parameter['YPosFussZeile'];

        $BreiteFussZeile = (self::Seitenbreite() - ($this->_Parameter['LinkerRand'] * 2)) / 3;

        $this->SetFont($this->_Parameter['Schriftart'], '', $this->_Parameter['SchriftgroesseKlein']);
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->MultiCell($BreiteFussZeile, $this->_Parameter['AbstandZeile'], $this->_AWISSprachkonserven['Wort']['Anschrift_ATU_Filiale'], 0, 'L', 0);

        $this->_Spalte += $BreiteFussZeile;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->MultiCell($BreiteFussZeile, $this->_Parameter['AbstandZeile'], $this->_AWISSprachkonserven['Wort']['PersoenlHaftGesell_ATU_Filiale'], 0, 'L', 0);

        $this->_Zeile = $this->GetY() + 2;
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->MultiCell($BreiteFussZeile, $this->_Parameter['AbstandZeile'], $this->_AWISSprachkonserven['Wort']['Geschaeftsfuehrer_ATU_Filiale'], 0, 'L', 0);

        $this->_Spalte += $BreiteFussZeile;
        $this->_Zeile = $this->_Parameter['YPosFussZeile'];
        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->MultiCell($BreiteFussZeile, $this->_Parameter['AbstandZeile'], $this->_AWISSprachkonserven['Wort']['Bankverb_ATU_Versicherung'], 0, 'L', 0);
    }


    /**
     * Automatische Kopfzeile
     *
     * @see TCPDF::Header()
     */
    public function Header()
    {
        if($this->_BerichtsVorlage != '')
        {
            $pdf_vorlage = $this->ImportPage(($this->PageNo() == 1?1:2));        // Erste oder zweite Seite importieren
            $this->useTemplate($pdf_vorlage);
        }

        $this->_Zeile = 14;
        $this->_Spalte = $this->_Parameter['LinkerRand'] + 100;

        $this->SetXY($this->_Spalte, $this->_Zeile);
        $this->Cell(80, $this->_Parameter['Zeilenhoehe'], 'Seite: ' . $this->PageNo() . ' von {nb}', 0, 0, 'L', 0);

        if($this->PosVorhanden == true)
        {
            $this->PosUeberschrift();
            $this->_Zeile += $this->_Parameter['Zeilenhoehe'];
        }
        else
        {
            $this->_Zeile = 40;
        }

        $this->_Spalte = $this->_Parameter['LinkerRand'];
        $this->SetXY($this->_Spalte, $this->_Zeile);

        $this->MaxSeitenAnzahl++;
    }
}

?>